package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.OwnerInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface OwnerInfoDAO {
	int insert(OwnerInfo entity);
	int update(OwnerInfo entity);
	int exist(String id);
	OwnerInfo get(String id);
	int delete(String id);
	List<OwnerInfo> list();
	List<Map> findByTel(String tel);
	List<OwnerInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}